relaxngcc.codedom

## Class CDType

- java.lang.Object
- - relaxngcc.codedom.CDType

Direct Known Subclasses:
  CDClass

    public class CDType
    extends java.lang.Object

### Field Summary

Fields
`static CDType` `BOOLEAN`
`static CDType` `INTEGER`
`static CDType` `STRING`
`static CDType` `VOID`

### Constructor Summary

Constructors
Constructor and Description
`CDType(java.lang.String name)`

### Method Summary

Methods
`CDObjectCreateExpression` `_new()` Creates a new instance of this type.
`CDType` `array()` Gets the array type of this type.
`java.lang.String` `getName()` Gets the display name of the type.
`boolean` `isArray()` Returns true if this is an array type.
`void` `writeType(CDFormatter f)` Prints the type name.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### VOID

    public static final CDType VOID

#### INTEGER

    public static final CDType INTEGER

#### BOOLEAN

    public static final CDType BOOLEAN

#### STRING

    public static final CDType STRING

### Constructor Detail

#### CDType

    public CDType(java.lang.String name)

### Method Detail

#### getName

    public java.lang.String getName()

Gets the display name of the type.

#### _new

    public CDObjectCreateExpression _new()

Creates a new instance of this type.

#### array

    public CDType array()

Gets the array type of this type.

#### writeType

    public void writeType(CDFormatter f)
                   throws java.io.IOException

Prints the type name.

Throws:
  `java.io.IOException`

#### isArray

    public boolean isArray()

Returns true if this is an array type.